Bug 113591 - Crash when switching between Calc and other LO window
Summary: Crash when switching between Calc and other LO window
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha1+
Hardware: All All
: highest critical
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.0.0 target:5.4.4
Keywords: haveBacktrace
Depends on:
Blocks:
 
Reported: 2017-11-02 09:40 UTC by Samuel Mehrbrodt (CIB)
Modified: 2017-11-16 09:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature: ["ContentNode::Len()"]


Attachments
Backtrace (7.11 KB, text/plain)
2017-11-02 09:40 UTC, Samuel Mehrbrodt (CIB)
Details
Backtrace 2 (5.57 KB, text/plain)
2017-11-06 16:27 UTC, Samuel Mehrbrodt (CIB)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-11-02 09:40:07 UTC
Created attachment 137449 [details]
Backtrace

1) Open Libreoffice Calc
2) Open another LibreOffice application (Impress e.g.)
3) Drag them so they are both visible, e.g. side-by-side on same screen
4) Focus Impress, then click into the Calc formula bar

Repeat step 4) until it crashes.

Backtrace attached.
Comment 1 Xisco Faulí 2017-11-02 11:07:28 UTC
Confirmed in

Version: 6.0.0.0.alpha1+
Build ID: 1f8c3e3b78e0abb96d06a51eca354ae7ade5deb2
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 3 Samuel Mehrbrodt (CIB) 2017-11-06 16:27:48 UTC
Created attachment 137577 [details]
Backtrace 2

Another backtrace I get when commenting out the DeleteEmptyAttribs method
Comment 4 Commit Notification 2017-11-10 23:34:04 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4d1551697406bab0e9973bfa8ac012c48ff8eea

tdf#113591 Fix crash when switching between Calc and other LO window

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-11-13 12:06:34 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9a1ffec3207a0e4282d8033a657690363762b9fe&h=libreoffice-5-4

tdf#113591 Fix crash when switching between Calc and other LO window

It will be available in 5.4.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.